org.apache.cassandra.io.util

## Class CompressedChunkReader.Standard

- java.lang.Object
- - org.apache.cassandra.io.util.AbstractReaderFileProxy
  - - org.apache.cassandra.io.util.CompressedChunkReader
    - - org.apache.cassandra.io.util.CompressedChunkReader.Standard

- All Implemented Interfaces:
    java.lang.AutoCloseable, ChunkReader, ReaderFileProxy, RebuffererFactory
  Enclosing class:
    CompressedChunkReader

      public static class CompressedChunkReader.Standard
      extends CompressedChunkReader

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.io.util.CompressedChunkReader

      `CompressedChunkReader.Mmap, CompressedChunkReader.Standard`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.util.AbstractReaderFileProxy

      `channel, fileLength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Standard(ChannelProxy channel, CompressionMetadata metadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `allocateBuffer()`
    `java.nio.ByteBuffer` | `allocateBuffer(int size)`
    `void` | `readChunk(long position, java.nio.ByteBuffer uncompressed)` Read the chunk at the given position, attempting to fill the capacity of the given buffer.

    - ### Methods inherited from class org.apache.cassandra.io.util.CompressedChunkReader

      `chunkSize, getCrcCheckChance, instantiateRebufferer, preferredBufferType, toString`

    - ### Methods inherited from class org.apache.cassandra.io.util.AbstractReaderFileProxy

      `channel, close, fileLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.io.util.ReaderFileProxy

      `channel, close, fileLength`

- - ### Constructor Detail

    - #### Standard

          public Standard(ChannelProxy channel,
                          CompressionMetadata metadata)

  - ### Method Detail

    - #### allocateBuffer

          public java.nio.ByteBuffer allocateBuffer()

    - #### allocateBuffer

          public java.nio.ByteBuffer allocateBuffer(int size)

    - #### readChunk

          public void readChunk(long position,
                                java.nio.ByteBuffer uncompressed)

      Description copied from interface: `ChunkReader`
      Read the chunk at the given position, attempting to fill the capacity of the given buffer. The filled buffer must be positioned at 0, with limit set at the size of the available data. The source may have requirements for the positioning and/or size of the buffer (e.g. chunk-aligned and chunk-sized). These must be satisfied by the caller.

Copyright © 2018 The Apache Software Foundation